g.filename(1)

NAME
g.filename - Prints GRASS data base file names.

SYNOPSIS
g.filename
g.filename help
g.filename element=string mapset=string file=string

  Parameters:

element=string
    Name of an element

mapset=string
    Name of a mapset

file=string
    Name of an database file

DESCRIPTION
g.filename is designed for Bourne shell scripts that need to know the full UNIX file name for raster map layers, vector files, site list files, geographic region definition (windows) files, imagery group files, etc., in the GRASS data base.

OPTIONS

  Parameters:

element=name
    The name of a GRASS data base element (i.e., directory within the GRASS mapset location).

mapset=name
    The name of a GRASS data base mapset. As a convenience, a single dot (.) can be used to designate the current mapset.

file=name
    The name of a GRASS data base file.

OUTPUT
g.filename writes one line to standard output: file='full_file_pathname'

The output is a /bin/sh command to set the variable specified by the file name to the full UNIX path name for the data base file. This variable may be set in the /bin/sh as follows: eval `g.filename element=name mapset=name file=name`

NOTES
This routine generates the filename, but does not care if the file (or mapset or element) exists or not. This feature allows shell scripts to create new data base files as well as use existing ones.

If the mapset is the current mapset, g.filename automatically creates the element specified if it doesn't already exist. This makes it easy to add new files to the data base without having to worry about the existence of the required data base directories. (This program will not create a new mapset, however, if that specified does not currently exist.)

The program exits with a 0 if everything is ok; it exits with a non-zero value if there is an error, in which case file='full_file_pathname' is not output.

SEE ALSO
g.ask
g.findfile
g.gisenv
parser

AUTHOR
Michael Shapiro, U.S.Army Construction Engineering Research Laboratory

Last changed: $Date: 2003/05/07 08:21:29 $

Help Index